using System;

using mobileBO;

namespace mobileBO
{

	/// <summary>
	/// Clase para manejar todas las reglas de negocios de Entidad
	/// </summary>
	internal class EntidadBO
	{

		/// <summary>
		/// Constructor
		/// </summary>
		public EntidadBO(){}

		/// <summary>
		/// Almacena un Entity.ListaEntidades en la base de datos
		/// </summary>
		/// <param name="listaEntidades">una entidad Entity.ListaEntidades</param>
		/// <returns>"ok" si no ocurrio ningun error, de lo contrario el mensaje de error</returns>
		public string Guardar(ref Entity.ListaEntidades listaEntidades)
		{
			//TODO:Aplicar las reglas de negocios necesarias para el metodo
			//Por ejemplo, validaciones, condiciones que se deben de cumplir para borrar el dato, 
			//calculos internos, generaciones de polizas, etc...
			return new mobileDAL.Entidad().Guardar(ref listaEntidades);
		}

		/// <summary>
		/// Obtiene un Entity.Entidad
		/// </summary>
		/// <param name="entidadId">Guid para identificar el entidadId</param>
		/// <returns>una entidad Entity.Entidad</returns>
		public Entity.Entidad TraerEntidades(int entidad)
		{
			//TODO:Aplicar las reglas de negocios necesarias para el metodo
			return new mobileDAL.Entidad().TraerEntidades(entidad);
		}

		/// <summary>
		/// Obtiene un Entity.ListaEntidades
		/// </summary>
		/// <returns>una entidad Entity.ListaEntidades</returns>
		public Entity.ListaEntidades TraerEntidades()
		{
			//TODO:Aplicar las reglas de negocios necesarias para el metodo
			return new mobileDAL.Entidad().TraerEntidades();
		}
	}
}
