using System;

namespace mobileBO
{

	/// <summary>
	/// Clase para manejar todas las reglas de negocios de Pais
	/// </summary>
	internal class PaisBO
	{

		#region Constructor
		/// <summary>
		/// Constructor
		/// </summary>
		public PaisBO(){}
		#endregion //Constructor

		#region Mtodos Pblicos
		/// <summary>
		/// Almacena un Entity.ListaPaises en la base de datos
		/// </summary>
		/// <param name="listaPaises">una entidad Entity.ListaPaises</param>
		public void Guardar(Entity.ListaPaises listaPaises)
		{
			//TODO:Aplicar las reglas de negocios necesarias para el metodo
			//Por ejemplo, validaciones, condiciones que se deben de cumplir para borrar el dato, 
			//calculos internos, generaciones de polizas, etc...
			new mobileDAL.Pais().Guardar(listaPaises);
		}

		/// <summary>
		/// Obtiene un Entity.Pais
		/// </summary>
		/// <param name="pais">Guid para identificar el pais</param>
		/// <returns>una entidad Entity.Pais</returns>
		public Entity.Pais TraerPaises(int pais)
		{
			//TODO:Aplicar las reglas de negocios necesarias para el metodo
			return new mobileDAL.Pais().TraerPaises(pais);
		}

		/// <summary>
		/// Obtiene un Entity.ListaPaises
		/// </summary>
		/// <returns>una entidad Entity.ListaPaises</returns>
		public Entity.ListaPaises TraerPaises()
		{
			//TODO:Aplicar las reglas de negocios necesarias para el metodo
			return new mobileDAL.Pais().TraerPaises();
		}
		
		#endregion //Mtodos Pblicos

	}
}